import { INotifyPropertyChanged, PropertyChangedEventArgs, Base, Type } from "igniteui-react-core/ES2015/type";
import { ITrackOwner } from "./ITrackOwner";
import { ThumbRangePosition } from "./ThumbRangePosition";
export declare class TrackThumbRange extends Base implements INotifyPropertyChanged {
    private i;
    private j;
    private h;
    private g;
    private d;
    private c;
    private a;
    protected t(a: string, b: any, c: any): void;
    private u(a, b, c);
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    protected s(): void;
    b: ITrackOwner;
    n: number;
    o(a: number): number;
    p(a: number): number;
    private k(a);
    q(a: number): number;
    r: number;
    m: number;
    l: number;
    f: TrackThumb;
    e: TrackThumb;
    static $t: Type;
}
export declare class TrackThumb extends Base implements INotifyPropertyChanged {
    private g;
    private h;
    private c;
    private e;
    private a;
    b: ITrackOwner;
    protected m(a: string, b: any, c: any): void;
    private n(a, b, c);
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    j(a: number): number;
    protected l(): void;
    i: number;
    k: number;
    d: ThumbRangePosition;
    f: TrackThumbRange;
    static $t: Type;
}
